{	CalculateBarBoundaryIntf	}
{}
{	Interface to the CalculateBarBoundary routine. Add this unit and the CalculateBarBoundary.lib library	}
{	to the Celsius CDEF project and call the routine like:	}
{}
{		done := CalculateBarBoundary(inControlHdl, controlRect.left, controlRect.right)	}
{}
{	Copyright  Sebastiano Pilla 1996	}
{	All rights reserved	}
{}
{	Credits: Chris Larson, Andrew Regan	}

unit CalculateBarBoundaryIntf;


interface


{	CalculateBarBoundary	}
{}
{	Determines where lies the right edge of the 'done' bar given the control's setting and the	}
{	edges of the control's rectangle	}
{}
{	Entry:	inControlHdl = control to draw	}
{			inControlBoxLeft = left edge of control	}
{			inControlBoxRight = right edge of control	}
{	Exit:	function result = right edge of 'done' bar	}
	function CalculateBarBoundary (inControlHdl: ControlHandle;
									inControlBoxLeft, inControlBoxRight: SInt16): SInt16;


implementation


	function CalculateBarBoundary (inControlHdl: ControlHandle;
									inControlBoxLeft, inControlBoxRight: SInt16): SInt16;
	external;


end.